PPL 1.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions
Parma_Polyhedra_Library::H79_Certificate Class Reference
C++ Language Interface

A convergence certificate for the H79 widening operator. More...

`#include <ppl.hh>`

List of all members.

## Classes
struct | Compare
| A total ordering on H79 certificates. More...

## Public Member Functions
| H79_Certificate ()
| Default constructor.
template<typename PH >
| H79_Certificate (const PH &ph)
| Constructor: computes the certificate for `ph`.
| H79_Certificate (const Polyhedron &ph)
| Constructor: computes the certificate for `ph`.
| H79_Certificate (const H79_Certificate &y)
| Copy constructor.
| ~H79_Certificate ()
| Destructor.
int | compare (const H79_Certificate &y) const
| The comparison function for certificates.
template<typename PH >
int | compare (const PH &ph) const
| Compares `*this` with the certificate for polyhedron `ph`.
int | compare (const Polyhedron &ph) const
| Compares `*this` with the certificate for polyhedron `ph`.

## Detailed Description

A convergence certificate for the H79 widening operator.

Convergence certificates are used to instantiate the BHZ03 framework so as to define widening operators for the finite powerset domain.

Note:
  The convergence of the H79 widening can also be certified by BHRZ03_Certificate.

## Member Function Documentation

int Parma_Polyhedra_Library::H79_Certificate::compare | ( | const H79_Certificate & | y | ) | const

The comparison function for certificates.

Returns:
  , or depending on whether `*this` is smaller than, equal to, or greater than `y`, respectively.

Compares `*this` with `y`, using a total ordering which is a refinement of the limited growth ordering relation for the H79 widening.

The documentation for this class was generated from the following file:

- ppl.hh